Older version

general questions about Neat Video
Post Reply
giulialenzi
Posts: 1
Joined: Mon Apr 19, 2021 7:28 am

Older version

Post by giulialenzi »

Hello everybody, I was looking for this answer in the forum but couldn't find it.
I have a Mac Os with Sierra (10.12) and Premiere CC17. Neat required version 10.13, it's the first time I want to purchase it.
Can someone confirm me that if I purchase the newest version of Neat Video then I'll be able to download the one that it's compatible with Mac Os 10.12 + Premiere cc 2017?
(With the Demo obv it's not possible so I want to be sure that it can works before buying it.

Tanks!!
NVTeam
Posts: 2553
Joined: Thu Sep 01, 2005 4:12 pm
Contact:

Re: Older version

Post by NVTeam »

Yes, you will be able to download the older for the older MacOS.
Please contact support [at] neatvideo.com for a version of Demo for that older MacOS.

Thank you,
Vlad
Post Reply